Subject: Re: [MMUSIC] draft-jennings-mmusic-adjacent-grouping-03

From: Stephen Botzko <[email-masked]>
Date: Fri, 1 Apr 2011 09:43:04 +0200

I am wondering about the following:

Section 3.1 "This is a declarative SDP parameter and is not negotiated."

Section 3.3 "The offer MUST contain the sender's desired layout. The answer
MAY contain the desired layout of the streams that the system sending the
answer will be sending to the system that sent the offer."

The text in section 3.3 looks like negotiation to me.  Presumably the
answering system is taking the offering system's desired layout into
account.

Also, I do not think the arrangement of audio streams in an MxN grid is very
compelling - do you have a good use case for this?  There are of course
several sound formats already available in RFC 3551, I am wondering why we
need to standardize more than that.

BR
Stephen Botzko

On Fri, Apr 1, 2011 at 8:42 AM, Peter Musgrave <[email-masked]
> wrote:

> Hi Cullen/Ali,
>
> Overall, I think this is clean and usable. It solves enough useful cases
> without trying to "solve world hunger".
>
> Is it worth having an example in which the video is SSRC muxed as described
> in section 3.2?
>
> Also, I believe your example in 4.2 wants to have all the m lines be video
> (they are audio in the sample).
>
> Thanks,
>
> Peter Musgrave
>
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: "Ali C. Begen (abegen)" <[email-masked]>
Date: Fri, 1 Apr 2011 02:11:11 -0700

We might need to fix the text but as the prezo said, the sender gives its preference on how the media needs to be displayed on the other side. And the other side - if it is sending media - tells this side how to present that media. It is not negotiation.

As for the audio, the use case may not be as compelling as it is for video, but the semantics are not media dependent.

In the revision, we should fix the errors in the examples.

Thanks.
-acbegen

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Stephen Botzko
> Sent: Friday, April 01, 2011 9:43 AM
> To: mmusic
> Subject: Re: [MMUSIC] draft-jennings-mmusic-adjacent-grouping-03
> 
> Section 3.3 "The offer MUST contain the sender's desired layout. The answer MAY contain the desired layout of the streams
> that the system sending the answer will be sending to the system that sent the offer."
> 
> The text in section 3.3 looks like negotiation to me.  Presumably the answering system is taking the offering system's desired
> layout into account.
> 
> Also, I do not think the arrangement of audio streams in an MxN grid is very compelling - do you have a good use case for
> this?  There are of course several sound formats already available in RFC 3551, I am wondering why we need to standardize
> more than that.
> 
> BR
> Stephen Botzko
> 
> 
> 
> On Fri, Apr 1, 2011 at 8:42 AM, Peter Musgrave <[email-masked]> wrote:
> 
> 
> 	Hi Cullen/Ali,
> 
> 	Overall, I think this is clean and usable. It solves enough useful cases without trying to "solve world hunger".
> 
> 	Is it worth having an example in which the video is SSRC muxed as described in section 3.2?
> 
> 	Also, I believe your example in 4.2 wants to have all the m lines be video (they are audio in the sample).
> 
> 	Thanks,
> 
> 	Peter Musgrave
> 
>